API Reference//
- Sends an email invitation
Overview
Authorization
Gets a single email invitation
Sends an email invitation
Returns Invitation ID of the sent invitation
Security
Bearer(Required scopes: api:connect_invitation)
Request details including recipient name, email, etc
Template ID to be used for the email, if not specified the default template from configuration will be used
Customer Configuration to be used for the invite, important where customer config dictates which sort of connect flow the user will be thrown into
Name of the recipient (e.g. full name of the person)
Email address of the recipient to whom the email is going to be sent
Customer reference for this recipient, an example would be a unique identifier of this user in customer's internal systems
- UK Environment (Production)https://uk.api.atto.co/connect-invitations/v1
- US Environment (Production)https://us.api.atto.co/connect-invitations/v1
- application/json-patch+json
- application/json
- text/json
- application/*+json
curl -i -X POST \
https://uk.api.atto.co/connect-invitations/v1 \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json-patch+json' \
-d '{
"templateId": "string",
"configName": "string",
"recipientName": "string",
"recipientEmail": "user@example.com",
"customerReference": "string",
"userId": "string"
}'Response
{ "data": { "invitationId": "550a4884-8473-4f2e-a6cf-551c16767d59" }, "meta": { "totalRecords": 0 } }